import * as React from 'react';


export interface ImageProps {
    id: string;
    className: string;
    crossOrigin: string;
    src: string;
    srcSet: string;
    placeholder: string;
    fallback: string;
    'blur': number;
    ratio: number;
    debounce: number;
    animationSpeed: number;
    maxWidth: number | string;
    alt: string;
    sizes: string;
    skipAnimation: number;
    inline: boolean;
}

export default class UniversalImage extends React.Component<ImageProps, any> {
    static canPlay(url: string): boolean;
}
